List Public Filings
curl --request GET \
--url https://api.blockworks.com/v1/ttf/filingsimport requests
url = "https://api.blockworks.com/v1/ttf/filings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.blockworks.com/v1/ttf/filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"page": 1,
"data": [
{
"project_slug": "celo",
"protocol_name": "Celo",
"protocol_ticker": "CELO",
"filings": [
{
"filing_id": "de86b664-f412-4ae6-ba76-2125fedfbd0a",
"filing_type": "B1",
"completion_label": "partial - 2 gaps",
"filing_version": "1.3",
"date_filed": "2026-08-18",
"static_url": "https://blockworks.com/token-transparency/filing/de86b664-f412-4ae6-ba76-2125fedfbd0a",
"filing_status": "current",
"provenance": "issuer-filed"
}
]
},
{
"project_slug": "curve",
"protocol_name": "Curve",
"protocol_ticker": "CRV",
"filings": [
{
"filing_id": "27d01bc9-3cb4-458e-92e7-03a54169a561",
"filing_type": "B1",
"completion_label": "complete",
"filing_version": "1.3",
"date_filed": "2026-07-23",
"static_url": "https://blockworks.com/token-transparency/filing/27d01bc9-3cb4-458e-92e7-03a54169a561",
"filing_status": "current",
"provenance": "issuer-filed"
}
]
}
],
"total": 2
}ttf
List Public Filings
Returns published Token Transparency filings grouped by project. This endpoint does not require an API key.
GET
/
v1
/
ttf
/
filings
List Public Filings
curl --request GET \
--url https://api.blockworks.com/v1/ttf/filingsimport requests
url = "https://api.blockworks.com/v1/ttf/filings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.blockworks.com/v1/ttf/filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"page": 1,
"data": [
{
"project_slug": "celo",
"protocol_name": "Celo",
"protocol_ticker": "CELO",
"filings": [
{
"filing_id": "de86b664-f412-4ae6-ba76-2125fedfbd0a",
"filing_type": "B1",
"completion_label": "partial - 2 gaps",
"filing_version": "1.3",
"date_filed": "2026-08-18",
"static_url": "https://blockworks.com/token-transparency/filing/de86b664-f412-4ae6-ba76-2125fedfbd0a",
"filing_status": "current",
"provenance": "issuer-filed"
}
]
},
{
"project_slug": "curve",
"protocol_name": "Curve",
"protocol_ticker": "CRV",
"filings": [
{
"filing_id": "27d01bc9-3cb4-458e-92e7-03a54169a561",
"filing_type": "B1",
"completion_label": "complete",
"filing_version": "1.3",
"date_filed": "2026-07-23",
"static_url": "https://blockworks.com/token-transparency/filing/27d01bc9-3cb4-458e-92e7-03a54169a561",
"filing_status": "current",
"provenance": "issuer-filed"
}
]
}
],
"total": 2
}Query Parameters
Project slugs to filter by (at most one of project_slugs or tickers; omit both to list all projects with published filings)
Maximum array length:
50Maximum string length:
100Asset tickers to filter by (at most one of project_slugs or tickers; omit both to list all projects with published filings)
Maximum array length:
50Maximum string length:
20When true, return only the most recent filing per filing type for each project